<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content" style="min-height: 1603px;padding: 0px 0 0 20px;">
            <!-- BEGIN PAGE BREADCRUMB -->
        <div class="page-bar">
                <ul class="page-breadcrumb">
                    <li>
                        <i class="icon-home"></i>
                        <a href="index.html">Home</a>
                        <i class="fa fa-angle-right"></i>
                    </li>
                    <li>
                        <span>Search</span>
                    </li>
                </ul>
                <div class="page-toolbar">
                    
                </div>
            </div>
            <!-- END PAGE BREADCRUMB -->
            <!-- BEGIN PAGE BASE CONTENT -->
            <div class="search-page search-content-2">
                <div class="search-bar bordered" style="margin-bottom: 20px;">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="input-group" style="display: contents;">
                                <input type="text" class="form-control" placeholder="Search for..." [(ngModel)]="this.searchText">
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="input-group">
                                <span class="mt-radio-inline">
                                    <label class="mt-radio" style="margin-top: 20px;">
                                        <input type="radio" name="optionsRadios" value="M" [(ngModel)]="this.searchIn" (click)="UpdateSearchIn('M')"> Profile
                                        <span></span>
                                    </label>
                                    <label class="mt-radio" style="margin-top: 20px;">
                                        <input type="radio" name="optionsRadios" value="P" [(ngModel)]="this.searchIn" (click)="UpdateSearchIn('P')"> Post
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <span class="input-group-btn">
                                <button class="btn blue uppercase bold" type="button" (click)="SearchProfileInfo(1)" >Search</button>
                                
                            </span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="search-container bordered">
                            <ul>
                                <li class="search-item-header">
                                    <div class="row">
                                        <div class="col-sm-9 col-xs-8">
                                            <h3>Search results...</h3>
                                        </div>
                                        <div class="col-sm-1 col-xs-6">
                                            <div class="form-group" style="height:24px;">
                                                <select class="bs-select form-control hide" id="ddlSize">
                                                    <option value="1">1</option>
                                                    <option value="2">2</option>
                                                    <option value="3">3</option>
                                                    <option value="50">50</option>
                                                    <option value="100">100</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <div class="alert alert-info" *ngIf="this.pagearrObj != undefined && this.pagearrObj.length == 0" style="margin-top: 15px;">
                                    <strong></strong> No matching records found! </div>
                                <!-- <div class="alert alert-warning alert-dismissable" *ngIf="this.pagearrObj != undefined && this.pagearrObj.length == 0" style="margin-top: 15px;">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true"></button>
                                    <strong></strong> No matching records found! </div> -->
                                <li class="search-item clearfix" *ngFor="let member of this.VP; let i = index">
                                    <a href="javascriptt:;">
                                        <img [src]="member.path" style="width: 65px;float: left;margin-right: 20px;"/>
                                    </a>
                                    <div class="search-content">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <h2 class="search-title">
                                                    <a href="javascript:;" (click)="SetMemberInfo(i)">{{ member.firstname }}
                                                        <!-- <span class="badge badge-info" *ngIf="member.isFriend === 'N'" (click)="OnManageRequest(this.savedData.profileInfo.mid, member.mid, member.firstname, 'FR')"> Send Friend Request </span>
                                                        <span class="badge badge-success" *ngIf="member.isFriend === 'Y'"> You are a friend </span> -->
                                                    </a>
                                                    <a><span class="badge badge-info" *ngIf="member.isFriend === 'N'" (click)="OnManageRequest(this.savedData.profileInfo.mid, member.mid, member.firstname, 'FR')"> Send Friend Request </span></a>
                                                    <span class="badge badge-success" *ngIf="member.isFriend === 'Y'"> You are a friend </span>
                                                    <span class="badge badge-warning" *ngIf="member.isFriend === 'S'"> Request sent </span>
                                                    <ng-template confirm>
                                                        <confirm-modal-component></confirm-modal-component>
                                                  </ng-template>
                                                  <!-- <popover></popover> -->
                                                </h2>
                                                <!-- <div class="list-toggle done uppercase">
                                                    <div class="list-toggle-title bold"></div>
                                                    <div class="badge badge-default pull-right bold">You are a friend</div>
                                                </div> -->
                                                <p class="search-desc"> {{ Getaboutme(member.aboutme) }}
                                                </p>
                                            </div>
                                            <div class="col-md-4">
                                                <!-- <div class="mt-action-buttons " style="width: 180px;" *ngIf="member.isFriend === 'N'">
                                                    <button _ngcontent-dwv-c13="" _ngcontent-ruh-c4="" class="btn btn-outline blue btn-sm btn-circle" type="button">
                                                        <span _ngcontent-dwv-c13="" class="ladda-label"><i _ngcontent-dwv-c13="" class="icon-user"></i> Send Friend Request</span>
                                                    </button>
                                                </div> -->
                                            </div>
                                        </div>
                                </div></li>

                                <li class="search-item clearfix" *ngFor="let post of this.vPost; let i = index">
                                    <div class="search-content">
                                        <div class="row">
                                            <div class="col-sm-12 col-xs-12">
                                                <h2 class="search-title">
                                                    <a href="javascript:;" (click)="ShowPostInfo(i)" id="ancSearch">{{ post.description }}</a>
                                                </h2>
                                            </div>
                                        </div>
                                </div></li>

                            </ul>
                            <div class="search-pagination">
                                <div class="dataTables_paginate paging_bootstrap_full_number" id="sample_1_paginate">
                                    <ul class="pagination" style="visibility: visible;" *ngIf="this.pagearrObj != undefined && this.pagearrObj.length > 0">
                                        <li [class]="prev"><a href="javascript:void(0);" title="First" (click)="GoToPage(1);"><i class="fa fa-angle-double-left"></i></a></li>
                                        <li [class]="GetPrevClass()"><a href="javascript:void(0);" title="Prev" (click)="GoToPrevNext('P');"><i class="fa fa-angle-left"></i></a></li>
                                        <li [class]="GetPagingClass(page)" *ngFor="let page of this.pagearrObj; let i = index;">
                                            <a href="javascript:;" (click) = "GoToPage(page)"> {{ page  }} </a>
                                        </li>
                                        <li [class]="GetNextClass()"><a href="javascript:void(0);" title="Next" (click)="GoToPrevNext('N');"><i class="fa fa-angle-right"></i></a></li>
                                        <li class="next"><a href="javascript:void(0);" title="Last" (click)="GoToPage(this.totalpages);"><i class="fa fa-angle-double-right"></i></a></li>
                                    </ul>
                                </div>
                            </div>
                            </div>
                            </div>
                            </div>
                            </div>
                            <!-- END PAGE BASE CONTENT -->
                            </div>
    <!-- END CONTENT BODY -->
</div>
<!-- END CONTENT -->
<button class="btn btn-primary hide" data-target="#exampleModal" data-toggle="modal" type="button" #btnlaunch> Launch demo modal </button>

<div class="modal" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Member Info</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
        </div>
        <div class="modal-body">
            <div class="tab-pane active" id="tab_1_1">
                    <div class="col-md-4 form-group">
                        <div _ngcontent-ltm-c4="" class="profile-userpic"><img class="img-responsive" [src]="this.path"></div> </div>
                    <div class="col-md-4 form-group">
                        <label class="control-label bold">First Name</label><br>
                        <label class="control-label">{{ this.firstname }}</label>
                    </div> 
                    <div class="col-md-4 form-group">
                        <label class="control-label bold">Last Name</label><br>
                        <label class="control-label">{{ this.lastname }}</label>
                    </div> 
                    <div class="col-md-4 form-group">
                        <label class="control-label bold">City / Town</label><br>
                        <label class="control-label">{{ this.location }}</label>
                    </div> 
                    <div class="col-md-4 form-group">
                        <label class="control-label bold">Languages</label><br>
                        <label class="control-label">{{ this.language }}</label>
                    </div> 
                    <div class="col-md-8 form-group">
                        <label class="control-label bold">Gender</label><br>
                        <label class="control-label">{{ this.displaygender }}</label>
                    </div>
                    <div class="col-md-6 form-group">
                        <label class="control-label bold">About me</label><br>
                        <label class="control-label">{{ this.aboutme }}</label>
                    </div>
                    <div class="col-md-6 form-group">
                        <label class="control-label bold">My Interest</label><br>
                        <label class="control-label">{{ this.myinterest }}</label>
                    </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
    </div>
    </div>
</div>

<button class="btn btn-primary hide" data-target="#postModal" data-toggle="modal" type="button" #btnpostlaunch> Launch demo modal </button>

<div class="modal" id="postModal" role="dialog" aria-labelledby="postModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document" style="max-width: 95pc;">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Post Info</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
        </div>
        <div class="modal-body">
            <div class="tab-pane active" id="tab_1_1">
                
                <!-- <singlepost [PostId]="this.PostId" [PostIdIndex]="1" [Parent]="this"></singlepost>   -->
                <template #singlepostContainer></template> 
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
    </div>
    </div>
</div>

<!-- <div id="responsive" class="modal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Responsive & Scrollable</h4>
            </div>
            <div class="modal-body">
                <div class="scroller" style="height:300px" data-always-visible="1" data-rail-visible1="1">
                    <div class="row">
                        <div class="col-md-6">
                            <h4>Some Input</h4>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                        </div>
                        <div class="col-md-6">
                            <h4>Some More Input</h4>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                            <p>
                                <input type="text" class="col-md-12 form-control"> </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn dark btn-outline">Close</button>
                <button type="button" class="btn green">Save changes</button>
            </div>
        </div>
    </div>
</div> -->
                                   

